/******/ (() => { // webpackBootstrap
/******/ 	"use strict";
/******/ 	var __webpack_modules__ = ({

/***/ "./src/graphql/gql/s-user-query.gql":
/*!******************************************!*\
  !*** ./src/graphql/gql/s-user-query.gql ***!
  \******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ("query($userId: Int!) {\n  user(id: $userId) {\n    formatted_name\n    android_rated\n    date_birthday\n    description\n    zipcode\n    firstname\n    favorites\n    facebook_id\n    email_verified_at\n    email\n    created_at\n    country_phone_code\n    country_code_swimmer\n    country_code\n    country\n    card_last_four\n    card_brand\n    awards\n    accept_chat_rules\n    id\n    img_url\n    ios_rated\n    isAnyPool\n    is_birthday_popup\n    is_promo_opted_in\n    last_pool_id\n    lastname\n    mail_notifications\n    mobile_number\n    mobile_number_verified_at\n    multi_info\n    verificationsPrivate {\n      img_id_approved\n      img_proof_approved\n      successful_booking\n      pool_proof_url\n      passport_drive_url\n    }\n    stripe_swimmer_id\n    stripe_id\n    stripe_connect_url\n    stripe_account_onboard\n    show_app_rate\n    pools_count\n    phone_number\n    permissions {\n      name\n      id\n    }\n    reviews {\n      booking {\n        adult_guests\n        available_address\n        booking_invites {\n          email\n          last_name\n          phone_number\n          id\n          first_name\n          created_by\n\n          attendee {\n            email\n            email_verified_at\n            facebook_id\n            date_birthday\n            description\n            firstname\n          }\n        }\n      }\n    }\n    verifications {\n      passport_drive_url\n      successful_booking\n      pool_proof_url\n    }\n    notify_olden\n    postal_code_source\n    rating\n    referral\n    referral_balance\n    referral_token\n    roles {\n      permissions {\n        name\n        id\n      }\n      name\n    }\n  }\n}\n");

/***/ }),

/***/ "./src/cache.ts":
/*!**********************!*\
  !*** ./src/cache.ts ***!
  \**********************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
class CacheKeys {
    constructor() {
        // current keys used.
        this._currentKeys = [];
    }
    push(i) {
        this._currentKeys.push(i);
    }
    printDetails() {
        if (this._currentKeys.length > 0) {
            console.log('--MISSED KEYS');
            console.log(JSON.stringify(this._currentKeys));
        }
    }
}
// Export singleton for use by loader and plugin.
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (new CacheKeys());


/***/ }),

/***/ "./src/config/env-config.ts":
/*!**********************************!*\
  !*** ./src/config/env-config.ts ***!
  \**********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   config: () => (/* binding */ config)
/* harmony export */ });
/* harmony import */ var envalid__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! envalid */ "envalid");
/* harmony import */ var envalid__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(envalid__WEBPACK_IMPORTED_MODULE_0__);

const config = (0,envalid__WEBPACK_IMPORTED_MODULE_0__.cleanEnv)(process.env, {
    S_AUTHORIZATION_HEADER: (0,envalid__WEBPACK_IMPORTED_MODULE_0__.str)(),
    S_GRAPHQL_URL: (0,envalid__WEBPACK_IMPORTED_MODULE_0__.str)(),
    S_START_SEQ: (0,envalid__WEBPACK_IMPORTED_MODULE_0__.num)(),
    S_END_SEQ: (0,envalid__WEBPACK_IMPORTED_MODULE_0__.num)(),
    MONGO_URL: (0,envalid__WEBPACK_IMPORTED_MODULE_0__.str)({ devDefault: 'mongodb://localhost:27017/S_MARKET' }),
});


/***/ }),

/***/ "./src/config/index.ts":
/*!*****************************!*\
  !*** ./src/config/index.ts ***!
  \*****************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   config: () => (/* reexport safe */ _env_config__WEBPACK_IMPORTED_MODULE_0__.config)
/* harmony export */ });
/* harmony import */ var _env_config__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./env-config */ "./src/config/env-config.ts");



/***/ }),

/***/ "./src/nodeFetch.ts":
/*!**************************!*\
  !*** ./src/nodeFetch.ts ***!
  \**************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   fetchData: () => (/* binding */ fetchData)
/* harmony export */ });
/* harmony import */ var node_fetch__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! node-fetch */ "node-fetch");
/* harmony import */ var node_fetch__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(node_fetch__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _cache__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./cache */ "./src/cache.ts");
// import fetch from 'isomorphic-fetch';


async function fetchData(graphqlUrl, token, query, variables = {}) {
    const res = await node_fetch__WEBPACK_IMPORTED_MODULE_0___default()(graphqlUrl, {
        method: "POST",
        headers: {
            "Content-Type": "application/json",
            'Authorization': `Bearer ${token}`,
        },
        body: JSON.stringify({ query, variables }),
        redirect: 'follow',
    }).catch((err) => console.log(err.message));
    if (res) {
        try {
            const data = await res.json();
            return data;
        }
        catch (err) {
            _cache__WEBPACK_IMPORTED_MODULE_1__["default"].push(variables.poolId || variables.userId);
            console.log('--errr', err);
            console.log('-data---', res);
        }
    }
    return {};
}


/***/ }),

/***/ "./src/store/curd-insert.ts":
/*!**********************************!*\
  !*** ./src/store/curd-insert.ts ***!
  \**********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   mongoClient: () => (/* binding */ mongoClient)
/* harmony export */ });
/* harmony import */ var mongodb__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! mongodb */ "mongodb");
/* harmony import */ var mongodb__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(mongodb__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _config__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../config */ "./src/config/index.ts");


const mongoClient = new mongodb__WEBPACK_IMPORTED_MODULE_0__.MongoClient(_config__WEBPACK_IMPORTED_MODULE_1__.config.MONGO_URL);



/***/ }),

/***/ "dotenv":
/*!*************************!*\
  !*** external "dotenv" ***!
  \*************************/
/***/ ((module) => {

module.exports = require("dotenv");

/***/ }),

/***/ "envalid":
/*!**************************!*\
  !*** external "envalid" ***!
  \**************************/
/***/ ((module) => {

module.exports = require("envalid");

/***/ }),

/***/ "mongodb":
/*!**************************!*\
  !*** external "mongodb" ***!
  \**************************/
/***/ ((module) => {

module.exports = require("mongodb");

/***/ }),

/***/ "node-fetch":
/*!*****************************!*\
  !*** external "node-fetch" ***!
  \*****************************/
/***/ ((module) => {

module.exports = require("node-fetch");

/***/ }),

/***/ "reflect-metadata":
/*!***********************************!*\
  !*** external "reflect-metadata" ***!
  \***********************************/
/***/ ((module) => {

module.exports = require("reflect-metadata");

/***/ })

/******/ 	});
/************************************************************************/
/******/ 	// The module cache
/******/ 	var __webpack_module_cache__ = {};
/******/ 	
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/ 		// Check if module is in cache
/******/ 		var cachedModule = __webpack_module_cache__[moduleId];
/******/ 		if (cachedModule !== undefined) {
/******/ 			return cachedModule.exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = __webpack_module_cache__[moduleId] = {
/******/ 			// no module.id needed
/******/ 			// no module.loaded needed
/******/ 			exports: {}
/******/ 		};
/******/ 	
/******/ 		// Execute the module function
/******/ 		__webpack_modules__[moduleId](module, module.exports, __webpack_require__);
/******/ 	
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/ 	
/************************************************************************/
/******/ 	/* webpack/runtime/compat get default export */
/******/ 	(() => {
/******/ 		// getDefaultExport function for compatibility with non-harmony modules
/******/ 		__webpack_require__.n = (module) => {
/******/ 			var getter = module && module.__esModule ?
/******/ 				() => (module['default']) :
/******/ 				() => (module);
/******/ 			__webpack_require__.d(getter, { a: getter });
/******/ 			return getter;
/******/ 		};
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/define property getters */
/******/ 	(() => {
/******/ 		// define getter functions for harmony exports
/******/ 		__webpack_require__.d = (exports, definition) => {
/******/ 			for(var key in definition) {
/******/ 				if(__webpack_require__.o(definition, key) && !__webpack_require__.o(exports, key)) {
/******/ 					Object.defineProperty(exports, key, { enumerable: true, get: definition[key] });
/******/ 				}
/******/ 			}
/******/ 		};
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/hasOwnProperty shorthand */
/******/ 	(() => {
/******/ 		__webpack_require__.o = (obj, prop) => (Object.prototype.hasOwnProperty.call(obj, prop))
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/make namespace object */
/******/ 	(() => {
/******/ 		// define __esModule on exports
/******/ 		__webpack_require__.r = (exports) => {
/******/ 			if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 				Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 			}
/******/ 			Object.defineProperty(exports, '__esModule', { value: true });
/******/ 		};
/******/ 	})();
/******/ 	
/************************************************************************/
var __webpack_exports__ = {};
// This entry need to be wrapped in an IIFE because it need to be isolated against other modules in the chunk.
(() => {
/*!*********************!*\
  !*** ./src/user.ts ***!
  \*********************/
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var dotenv__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! dotenv */ "dotenv");
/* harmony import */ var dotenv__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(dotenv__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var reflect_metadata__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! reflect-metadata */ "reflect-metadata");
/* harmony import */ var reflect_metadata__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(reflect_metadata__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _cache__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./cache */ "./src/cache.ts");
/* harmony import */ var _graphql_gql_s_user_query_gql__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./graphql/gql/s-user-query.gql */ "./src/graphql/gql/s-user-query.gql");
/* harmony import */ var _nodeFetch__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./nodeFetch */ "./src/nodeFetch.ts");
/* harmony import */ var _config__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./config */ "./src/config/index.ts");
/* harmony import */ var _store_curd_insert__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./store/curd-insert */ "./src/store/curd-insert.ts");



if (process.env.ENV_FILE) {
    dotenv__WEBPACK_IMPORTED_MODULE_0__.config({ path: process.env.ENV_FILE });
}
// @ts-ignore




const initial = _config__WEBPACK_IMPORTED_MODULE_5__.config.S_START_SEQ;
const final = _config__WEBPACK_IMPORTED_MODULE_5__.config.S_END_SEQ;
const startJob = async () => {
    console.time("dbsave");
    try {
        await _store_curd_insert__WEBPACK_IMPORTED_MODULE_6__.mongoClient.connect();
        const db = _store_curd_insert__WEBPACK_IMPORTED_MODULE_6__.mongoClient.db('S_DATA');
        const coll = db.collection('user');
        for (let i = initial; i < final; i++) {
            const data = await (0,_nodeFetch__WEBPACK_IMPORTED_MODULE_4__.fetchData)(_config__WEBPACK_IMPORTED_MODULE_5__.config.S_GRAPHQL_URL, _config__WEBPACK_IMPORTED_MODULE_5__.config.S_AUTHORIZATION_HEADER, _graphql_gql_s_user_query_gql__WEBPACK_IMPORTED_MODULE_3__["default"], { userId: i });
            // const data = { name: "Halley's Comet", officialName: "1P/Halley", orbitalPeriod: 75, radius: 3.4175, mass: 2.2e14 };
            const poolData = data?.data?.user;
            if (poolData)
                await coll.insertOne(poolData);
        }
    }
    finally {
        console.log('imported with missing ones as follow');
        _cache__WEBPACK_IMPORTED_MODULE_2__["default"].printDetails();
        await _store_curd_insert__WEBPACK_IMPORTED_MODULE_6__.mongoClient.close();
        console.timeEnd("dbsave");
    }
};
startJob().catch(console.dir);

})();

module.exports = __webpack_exports__;
/******/ })()
;
//# sourceMappingURL=user.js.map